All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::Thread< TDatums, TWorker > Class Template Reference

`#include <thread.hpp>`

## Public Member Functions

| Thread (const std::shared_ptr< std::atomic< bool >> &isRunningSharedPtr=nullptr)
| Thread (Thread &&t)
Thread & | operator= (Thread &&t)
virtual | ~Thread ()
void | add (const std::vector< std::shared_ptr< SubThread< TDatums, TWorker >>> &subThreads)
void | add (const std::shared_ptr< SubThread< TDatums, TWorker >> &subThread)
void | exec (const std::shared_ptr< std::atomic< bool >> &isRunningSharedPtr)
void | startInThread ()
void | stopAndJoin ()
bool | isRunning () const

## Constructor & Destructor Documentation

template<typename TDatums , typename TWorker >

op::Thread< TDatums, TWorker >::Thread | ( | const std::shared_ptr< std::atomic< bool >> & | isRunningSharedPtr = `nullptr` | ) |

explicit

template<typename TDatums , typename TWorker >

op::Thread< TDatums, TWorker >::Thread | ( | Thread< TDatums, TWorker > && | t | ) |

template<typename TDatums , typename TWorker >

op::Thread< TDatums, TWorker >::~Thread | ( |  | ) |

virtual

## Member Function Documentation

template<typename TDatums , typename TWorker >

void op::Thread< TDatums, TWorker >::add | ( | const std::vector< std::shared_ptr< SubThread< TDatums, TWorker >>> & | subThreads | ) |

template<typename TDatums , typename TWorker >

void op::Thread< TDatums, TWorker >::add | ( | const std::shared_ptr< SubThread< TDatums, TWorker >> & | subThread | ) |

template<typename TDatums , typename TWorker >

void op::Thread< TDatums, TWorker >::exec | ( | const std::shared_ptr< std::atomic< bool >> & | isRunningSharedPtr | ) |

template<typename TDatums , typename TWorker = std::shared_ptr<Worker<TDatums>>>

bool op::Thread< TDatums, TWorker >::isRunning | ( |  | ) | const

inline

template<typename TDatums , typename TWorker >

Thread< TDatums, TWorker > & op::Thread< TDatums, TWorker >::operator= | ( | Thread< TDatums, TWorker > && | t | ) |

template<typename TDatums , typename TWorker >

void op::Thread< TDatums, TWorker >::startInThread | ( |  | ) |

template<typename TDatums , typename TWorker >

void op::Thread< TDatums, TWorker >::stopAndJoin | ( |  | ) |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/thread/thread.hpp